<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'DatabaseUpdateException' => '\\StructType\\DatabaseUpdateException',
            'InvalidCredentialsException' => '\\StructType\\InvalidCredentialsException',
            'InvalidDataException' => '\\StructType\\InvalidDataException',
            'NoSuchContextException' => '\\StructType\\NoSuchContextException',
            'NoSuchGroupException' => '\\StructType\\NoSuchGroupException',
            'NoSuchUserException' => '\\StructType\\NoSuchUserException',
            'RemoteException' => '\\StructType\\RemoteException',
            'StorageException' => '\\StructType\\StorageException',
            'addMember' => '\\StructType\\AddMember',
            'change' => '\\StructType\\Change',
            'create' => '\\StructType\\Create',
            'createResponse' => '\\StructType\\CreateResponse',
            'delete' => '\\StructType\\Delete',
            'deleteMultiple' => '\\StructType\\DeleteMultiple',
            'getData' => '\\StructType\\GetData',
            'getDataResponse' => '\\StructType\\GetDataResponse',
            'getDefaultGroup' => '\\StructType\\GetDefaultGroup',
            'getDefaultGroupResponse' => '\\StructType\\GetDefaultGroupResponse',
            'getMembers' => '\\StructType\\GetMembers',
            'getMembersResponse' => '\\StructType\\GetMembersResponse',
            'getMultipleData' => '\\StructType\\GetMultipleData',
            'getMultipleDataResponse' => '\\StructType\\GetMultipleDataResponse',
            'list' => '\\StructType\\_list',
            'listAll' => '\\StructType\\ListAll',
            'listAllResponse' => '\\StructType\\ListAllResponse',
            'listGroupsForUser' => '\\StructType\\ListGroupsForUser',
            'listGroupsForUserResponse' => '\\StructType\\ListGroupsForUserResponse',
            'listResponse' => '\\StructType\\ListResponse',
            'removeMember' => '\\StructType\\RemoveMember',
            'Exception' => '\\StructType\\Exception',
            'IOException' => '\\StructType\\IOException',
            'Context' => '\\StructType\\Context',
            'Database' => '\\StructType\\Database',
            'SOAPStringMapMap' => '\\StructType\\SOAPStringMapMap',
            'SOAPMapEntry' => '\\StructType\\SOAPMapEntry',
            'SOAPStringMap' => '\\StructType\\SOAPStringMap',
            'Entry' => '\\StructType\\Entry',
            'Group' => '\\StructType\\Group',
            'User' => '\\StructType\\User',
            'Credentials' => '\\StructType\\Credentials',
        );
    }
}
